Error: GPG check FAILED gh-2.16.0-1.x86_64

I’m trying to update the github package but I’m getting an error. I would appreciate a pointer on how to resolve this

> sudo dnf install gh-2.16.0-1.x86_64
> Last metadata expiration check: 0:28:13 ago on Thu Sep 22 06:20:59 2022.
> Dependencies resolved.
> ========================================================================================================================
>  Package                 Architecture                Version                          Repository                   Size
> ========================================================================================================================
> Upgrading:
>  gh                      x86_64                      2.16.0-1                         gh-cli                      7.7 M
> 
> Transaction Summary
> ========================================================================================================================
> Upgrade  1 Package
> 
> Total size: 7.7 M
> Is this ok [y/N]: y
> Downloading Packages:
> [SKIPPED] gh_2.16.0_linux_amd64.rpm: Already downloaded
> packages for the GitHub CLI                                                             5.1 kB/s | 2.5 kB     00:00
> GPG key at https://keyserver.ubuntu.com/pks/lookup?op=get&search=0xc99b11deb97541f0 (0xB97541F0) is already installed
> The GPG keys listed for the "packages for the GitHub CLI" repository are already installed but they are not correct for this package.
> Check that the correct key URLs are configured for this repository.. Failing package is: gh-2.16.0-1.x86_64
>  GPG Keys are configured as: https://keyserver.ubuntu.com/pks/lookup?op=get&search=0xc99b11deb97541f0
> The downloaded packages were saved in cache until the next successful transaction.
> You can remove cached packages by executing 'dnf clean packages'.
> Error: GPG check FAILED

A post was merged into an existing topic: The GPG keys listed for the “packages for the GitHub CLI” repository are already installed but they are not correct for this package